// components/custom-tab/index.js
Component({
  /**
   * currentIndex 当前tab index
   * onTabSelect  点击事件传递给父组件index值
   */
  properties: {
   currentIndex: String
  },

  /**
   * 组件的初始数据
   */
  data: {
    business: [
      {
        title: '首页',
        icon: "/assets/tabBar/home-off.png",
        selectedIcon: "/assets/tabBar/home.png"
      },
      {
        title: '发布',
        selectedIcon: "https://img.58cdn.com.cn/images/car/activitypic/weichebao/publish_normo.png",
        icon: "https://img.58cdn.com.cn/images/car/activitypic/weichebao/publish_normo.png",
      },
      {
        title: '我的',
        icon: "/assets/tabBar/user-off.png",
        selectedIcon: "/assets/tabBar/user.png"
      }
    ]
  },

  /**
   * 组件的方法列表
   */
  methods: {
    onTabSelect(data) {
      this.triggerEvent("tabSelect", {
        index: data.currentTarget.dataset.index
      })
    }
  }
})
