import baseUrl from "../config/project.config.js/index.js.js"
import { showMsgError } from "./tools"

/**
 * @param {*} url 请求地址
 * @param {*} options 请求参数
 * get请求 `url/${params}`
 * post || DELETE || ..请求
 *  (url, {
 *     method: "POST || DELETE",
 *     body: params 
 *  })
 */
export default function request (url, options = {}) {
  const newOptions = [...options]
  return new Promise((resolve, reject) => {
    wx.request({
      url: baseUrl + url,
      method: newOptions.method || 'GET',
      data: newOptions.body || '',
      header: {
        'content-type': 'application/x-www-form-urlencoded'
      },
      success: res => {
        if (res.data.code == 200) {
          resolve(res.data)
        } else {
          showMsgError(res.data)
        }

      },
      fail: err => {
        reject()
        showMsgError(err)
      }
    })
  })
}